Loading...
Searching...
No Matches
vec_range< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::vec_range< T, M >

Definition at line 32 of file vec_range.h.

## Public Types

typedef vec< T, M >::size_type | size_type
typedef vec< T, M >::difference_type | difference_type
typedef range | range_type
typedef T | value_type
typedef vec< T, M >::iterator | iterator
typedef vec< T, M >::const_iterator | const_iterator

## Public Member Functions

| vec_range (const vec< T, M > &u, const range_type &r)
| vec_range (const vec_range_const< T, M > &ur)
size_type | size () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const

## Protected Attributes

vec< T, M > | _u
range | _r

## Member Typedef Documentation

## size_type

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::size_type size_type

Definition at line 37 of file vec_range.h.

## difference_type

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::difference_type difference_type

Definition at line 38 of file vec_range.h.

## range_type

template<class T , class M = rheo_default_memory_model>

typedef range range_type

Definition at line 39 of file vec_range.h.

## value_type

template<class T , class M = rheo_default_memory_model>

typedef T value_type

Definition at line 40 of file vec_range.h.

## iterator

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::iterator iterator

Definition at line 41 of file vec_range.h.

## const_iterator

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::const_iterator const_iterator

Definition at line 42 of file vec_range.h.

## Constructor & Destructor Documentation

## vec_range() [1/2]

template<class T , class M = rheo_default_memory_model>

vec_range | ( | const vec< T, M > & | u,
|  | const range_type & | r
| ) |  |

Definition at line 46 of file vec_range.h.

## vec_range() [2/2]

template<class T , class M = rheo_default_memory_model>

vec_range | ( | const vec_range_const< T, M > & | ur | ) |

Definition at line 47 of file vec_range.h.

## Member Function Documentation

## size()

template<class T , class M = rheo_default_memory_model>

size_type size | ( |  | ) | const

Definition at line 51 of file vec_range.h.

## begin() [1/2]

template<class T , class M = rheo_default_memory_model>

iterator begin | ( |  | ) |

Definition at line 52 of file vec_range.h.

## end() [1/2]

template<class T , class M = rheo_default_memory_model>

iterator end | ( |  | ) |

Definition at line 53 of file vec_range.h.

## begin() [2/2]

template<class T , class M = rheo_default_memory_model>

const_iterator begin | ( |  | ) | const

Definition at line 54 of file vec_range.h.

## end() [2/2]

template<class T , class M = rheo_default_memory_model>

const_iterator end | ( |  | ) | const

Definition at line 55 of file vec_range.h.

## Member Data Documentation

## _u

template<class T , class M = rheo_default_memory_model>

vec<T,M> _u

protected

Definition at line 61 of file vec_range.h.

## _r

template<class T , class M = rheo_default_memory_model>

range _r

protected

Definition at line 62 of file vec_range.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/linalg/lib/vec.h
- /build/rheolef-Hrneba/rheolef-7.2/linalg/lib/vec_range.h